from twisted.python import log
from buildbot.buildslave import BuildSlave
from boto.ec2.connection import EC2Connection
from boto.resultset import ResultSet

class EC2BuildSlave(BuildSlave):
	"""This is the master-side representative for a remote buildbot slave
	on an EC2 instance, running on the Amazon EC2 service."""
	
	def __init__(self, name, password, max_builds=None, notify_on_missing=[], missing_timeout=3600):
		BuildSlave.__init__(self, name, password, max_builds=None, notify_on_missing=[], missing_timeout=3600)
		log.msg("EC2BuildSlave loaded.")
		self.connect()
		
	def connect(self):
		self.conn = EC2Connection("0YN0WPB5V4GJFE0T8BG2","Secret Key")
		self.conn.run_instances("ami-87d530ee", 1, 1, "gsg-keypair")